<?php
  ///////////////////////////////////////////////////
  //Удаление книги
  //2010 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////
  require_once "../utils/chlang.php";

  $title = $TEXT['book-title-del'];

  require_once "../config_a.php";
  require_once "../utils/functions.php";
  require_once "../utils/top_adm_film.php";

  if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

  if(empty($_GET['film_id'])) {puterror($result2['skin'],$TEXT['error-film5']); require_once "../utils/bottom_adm_film.php"; exit();}
  if(strlen($_GET['film_id'])>255) {puterror($result2['skin'],$TEXT['error-film6']); require_once "../utils/bottom_adm_film.php"; exit();}
  $_GET['film_id'] = rep($_GET['film_id']);

  //*************************************
  //Информация для лога
  $query3 = "SELECT tbl_film.film_name, tbl_film.bibl_id, tbl_biblioteka.name AS biblioteka, tbl_biblioteka.bibl_id
  FROM tbl_film
  JOIN tbl_biblioteka ON tbl_film.bibl_id=tbl_biblioteka.bibl_id
  WHERE tbl_film.film_id='".$_GET['film_id']."' ";
  $result3 = mysqli_query($dbcnx,$query3);
  if(!$result3) {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm_film.php"; exit();}
      $result4 = mysqli_fetch_array($result3);

  //Удаляем файлы
  if(is_file($result4['photo_film'])) {unlink($result4['photo_film']);}
  if(is_file($result4['e_film'])) {unlink($result4['e_film']);}

  //Вводим переменные
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-film2'];
  $what = $result4['film_name']." (".$TEXT['film-bibl2'].$result4['biblioteka']."), ".$TEXT['log-id'].$_GET['film_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************

  $query = "DELETE FROM `tbl_film` WHERE `film_id`='".$_GET['film_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
  $query_izd = "DELETE FROM `tbl_s_film_izd` WHERE `film_id`='".$_GET['film_id']."'";
  if(mysqli_query($dbcnx,$query_izd))
  {
  $query_izd = "DELETE FROM `tbl_s_film_aut` WHERE `film_id`='".$_GET['film_id']."'";
  if(mysqli_query($dbcnx,$query_izd))
  {
  $query_stat = "DELETE FROM `tbl_statistik` WHERE `film_id`='".$_GET['film_id']."'";
  if(mysqli_query($dbcnx,$query_izd))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl4']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl16']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl17']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm_film.php"; exit();}

  require_once "../utils/bottom_adm_film.php";
?>